Bug 1370721 - krop-0.4.12 is available
Summary: krop-0.4.12 is available
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: krop
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Raphael Groner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: FutureFeature, Reopened, Triaged
: 1346380 (view as bug list)
Depends On: 1321376
Blocks: PYTHON3 PYTHON3-UPSTREAM
TreeView+ depends on / blocked
 
Reported: 2016-08-27 05:57 UTC by Upstream Release Monitoring
Modified: 2017-02-12 19:51 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-02-12 19:51:09 UTC


Attachments (Terms of Use)
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (15.17 KB, patch)
2016-08-27 05:57 UTC, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (15.17 KB, patch)
2017-01-23 00:17 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2016-08-27 05:57:37 UTC
Latest upstream release: 0.4.11
Current version/release in rawhide: 0.4.10-2.fc25
URL: http://arminstraub.com/computer/krop

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/1522/

Comment 1 Upstream Release Monitoring 2016-08-27 05:57:57 UTC
Patching or scratch build for krop-0.4.10 failed.

Comment 2 Upstream Release Monitoring 2016-08-27 05:57:59 UTC
Created attachment 1194632 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 3 Upstream Release Monitoring 2016-08-27 05:58:01 UTC
Patches were not touched. All were applied properly

Comment 4 Raphael Groner 2016-08-28 19:37:55 UTC
*** Bug 1346380 has been marked as a duplicate of this bug. ***

Comment 5 Raphael Groner 2016-08-28 19:39:01 UTC
krop 0.4.11 has support for python3.

Comment 6 Upstream Release Monitoring 2016-08-31 20:28:45 UTC
raphgro's krop-0.4.11-1.fc26 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=795989

Comment 7 Upstream Release Monitoring 2016-08-31 20:47:50 UTC
raphgro's krop-0.4.11-2.fc26 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=795999

Comment 8 Fedora Update System 2016-08-31 21:10:12 UTC
krop-0.4.11-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-250796f4be

Comment 9 Fedora Update System 2016-08-31 21:10:20 UTC
krop-0.4.11-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-028bf5abc6

Comment 10 Fedora Update System 2016-09-01 19:52:19 UTC
krop-0.4.11-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-028bf5abc6

Comment 11 Fedora Update System 2016-09-01 20:23:50 UTC
krop-0.4.11-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-250796f4be

Comment 12 Fedora Update System 2016-09-05 17:51:50 UTC
krop-0.4.11-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2016-09-12 12:21:51 UTC
krop-0.4.11-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Need Real Name 2016-09-28 17:40:28 UTC
(In reply to Fedora Update System from comment #13)
> krop-0.4.11-2.fc24 has been pushed to the Fedora 24 stable repository. If
> problems still persist, please make note of it in this bug report.

Hi, I still have the problem with krop-0.4.11-2.fc24, is it normal ?

[root@siegel tmp]# uname -a
Linux siegel 4.7.4-200.fc24.x86_64 #1 SMP Thu Sep 15 18:42:09 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux
[root@siegel tmp]# rpm -qa | grep krop
krop-0.4.11-2.fc24.noarch
python3-krop-0.4.11-2.fc24.noarch
[root@siegel tmp]# krop
Traceback (most recent call last):
  File "/usr/bin/krop", line 17, in <module>
    import krop.krop
  File "/usr/lib/python3.5/site-packages/krop/krop.py", line 19, in <module>
    from version import __version__
ImportError: No module named 'version'

Comment 15 Raphael Groner 2016-09-28 19:21:43 UTC
That's a regression. Upstream wrote me about working support for Python3.

Comment 16 Raphael Groner 2016-09-30 19:36:09 UTC
Does a downgrade to 0.4.10 work for you?
http://koji.fedoraproject.org/koji/buildinfo?buildID=770273

Comment 17 Fedora Admin XMLRPC Client 2016-10-14 17:08:18 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 18 Upstream Release Monitoring 2016-10-17 08:17:46 UTC
thozza's krop-0.4.11-3.fc26 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=810404

Comment 19 Raphael Groner 2016-12-05 23:30:16 UTC
This bug can't be closed before a successful verification of the python3 port happened.

Comment 20 Raphael Groner 2016-12-09 17:36:06 UTC
 Tomas Hozza 2016-12-09 16:01:26 CET
Status: VERIFIED → NEW

Not sure if upstream is aware of this bug. You should try to contact by e-mail:
Armin Straub <mail@arminstraub.com>

Comment 21 Raphael Groner 2016-12-18 15:53:44 UTC
Forwarding this comment to not let it get lost:

fedelibre - 2016-12-18 14:21:51.529539
Just to be sure, do you know that python3-poppler-qt5 exists?
https://github.com/wbsoft/python-poppler-qt5

We just need a package in Fedora.
This is a dependency of the new major version (3.0) of Frescobaldi, LilyPond editor.

Comment 22 Gwyn Ciesla 2016-12-19 14:46:30 UTC
I've started packaging python-poppler-qt5, I'll post a link to the review once submitted.

Comment 23 Upstream Release Monitoring 2017-01-23 00:17:17 UTC
Latest upstream release: 0.4.12
Current version/release in rawhide: 0.4.11-3.fc26
URL: http://arminstraub.com/computer/krop

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/1522/

Comment 24 Upstream Release Monitoring 2017-01-23 00:17:38 UTC
Patching or scratch build for krop-0.4.11 failed.

Comment 25 Upstream Release Monitoring 2017-01-23 00:17:40 UTC
Created attachment 1243487 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 26 Upstream Release Monitoring 2017-01-23 00:17:43 UTC
Patches were not touched. All were applied properly

Comment 27 Raphael Groner 2017-02-01 00:00:16 UTC
Upstream writes (by e-mail to me, 2017-01-22):

I have just uploaded a new version of krop, which, hopefully, should fix
the remaining issues with Python3.  Please let me know if issues remain
(I tested it with Kubuntu 16.04 and it worked using Python3, both when
installed as a package and when installed from the source).

http://arminstraub.com/software/krop

Best wishes,
Armin

Comment 28 Upstream Release Monitoring 2017-02-01 21:31:52 UTC
raphgro's krop-0.4.12-1.fc26 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=837818

Comment 29 Fedora Update System 2017-02-01 21:47:29 UTC
krop-0.4.12-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-6d462517ad

Comment 30 Fedora Update System 2017-02-02 22:50:13 UTC
krop-0.4.12-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-6d462517ad

Comment 31 Upstream Release Monitoring 2017-02-11 00:56:16 UTC
releng's krop-0.4.12-2.fc26 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=845763

Comment 32 Fedora Update System 2017-02-12 19:51:09 UTC
krop-0.4.12-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.